Cairo::Path Class Reference

A data structure for holding a path. More...

`#include <cairomm/path.h>`

## Public Types

typedef cairo_path_t | cobject

## Public Member Functions

| Path (cairo_path_t *cobject, bool take_ownership=false)
| Path (const Path &)=delete
Path & | operator= (const Path &)=delete
virtual | ~Path ()
cobject * | cobj ()
const cobject * | cobj () const

## Protected Attributes

cobject * | m_cobject

## Detailed Description

A data structure for holding a path.

Use Context::copy_path() or Context::copy_path_flat() to instantiate a new Path. The application is responsible for freeing the Path object when it is no longer needed.

## Member Typedef Documentation

## cobject

typedef cairo_path_t Cairo::Path::cobject

## Constructor & Destructor Documentation

## Path() [1/2]

Cairo::Path::Path | ( | cairo_path_t * | cobject,
|  | bool | take_ownership = false )

explicit

## Path() [2/2]

Cairo::Path::Path | ( | const Path & |  | ) |

delete

## ~Path()

virtual Cairo::Path::~Path | ( |  | ) |

virtual

## Member Function Documentation

## cobj() [1/2]

cobject * Cairo::Path::cobj | ( |  | ) |

inline

## cobj() [2/2]

const cobject * Cairo::Path::cobj | ( |  | ) | const

inline

## operator=()

Path & Cairo::Path::operator= | ( | const Path & |  | ) |

delete

## Member Data Documentation

## m_cobject

cobject* Cairo::Path::m_cobject

protected

The documentation for this class was generated from the following file:

- cairomm/path.h